using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkProcess;
using Datory;

namespace GxPress.Repository.Interface.WorkProcess
{
    public interface IRuleApproverCheckRepository : IRepository
    {
        Task<int> InsertAsync(RuleApproverCheck rule);

        Task<IEnumerable<RuleApproverCheck>> GetListAsync(int nodeId);

        Task DeleteByNodeIdListAsync(IEnumerable<int> nodeIdList);
    }
}